{"components":{"schemas":{"BadRequest":{"description":"Returned when something is wrong in the request, e.g. failed argument validation or missed argument","properties":{"attributes":{"description":"Invalid attributes","items":{"$ref":"#/components/schemas/RequestAttribute"},"type":"array"},"error":{"default":"BadRequest","description":"Error name","type":"string"},"message":{"default":"Required arguments are missing in the request","description":"Description of the request error","type":"string"}},"type":"object"},"CompanySignatoryResults":{"description":"Roaring Apps company signatory text and representation rules results","properties":{"records":{"description":"found signatory text and representation rules results","items":{"$ref":"#/components/schemas/Signatory"},"type":"array"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"RepresentationRight":{"properties":{"code":{"description":"Representation rule code","type":"string"},"fromDate":{"description":"Representation rule start date","type":"string"},"text":{"description":"Representation rule text","type":"string"},"translations":{"description":"Representation rule text translations","items":{"$ref":"#/components/schemas/Translation"},"type":"array"}},"type":"object"},"RequestAttribute":{"description":"Incorrect attribute of request","properties":{"attribute":{"description":"Parameter name","type":"string"},"value":{"description":"Parameter value, subject for validation","type":"string"}},"type":"object"},"SearchResultStatus":{"description":"Description of search result","properties":{"code":{"description":"0 - found, 1 - not found","format":"int32","type":"integer"},"text":{"description":"search result description","type":"string"}},"type":"object"},"ServerError":{"description":"Internal server error","properties":{"error":{"default":"InternalServerError","description":"Error name","type":"string"},"message":{"default":"An internal server error occurred, please contact the system administrator with information on the error","description":"Description of the request error","type":"string"}},"type":"object"},"Signatory":{"properties":{"changeDate":{"description":"Date for the latest change (Date in ISO 8601 standard)","type":"string"},"companyId":{"description":"Company identifier (company registration number / organization number)","type":"string"},"representationRights":{"description":"List of representation rules","items":{"$ref":"#/components/schemas/RepresentationRight"},"type":"array"},"signatoryRights":{"description":"List of signatory texts","items":{"$ref":"#/components/schemas/SignatoryRight"},"type":"array"}},"type":"object"},"SignatoryRight":{"properties":{"code":{"description":"Signatory code","type":"string"},"fromDate":{"description":"Signatory text start date","type":"string"},"text":{"description":"Signatory text","type":"string"},"translations":{"description":"Signatory text translations","items":{"$ref":"#/components/schemas/Translation"},"type":"array"}},"type":"object"},"Translation":{"properties":{"langCode":{"description":"ISO language code","type":"string"},"text":{"description":"Translation into the corresponding language","type":"string"}},"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"Signatory text and representation rules for the company\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"Signatory text and representation rules","version":"1.0","x-logo":{"url":"https://assets.roaring.io/svg/signatory-icon-v3.1.svg"}},"openapi":"3.0.1","paths":{"/{companyId}":{"get":{"description":"AsOfDate supported","operationId":"view","parameters":[{"description":"id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanySignatoryResults"}}},"description":"OK, successfull response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Fetch signatory text and representation rules of the company.","tags":["SignatoryFi"]}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/fi/company/signatory-text/1.0"}],"x-category":"company","x-countries":["fi"],"x-id":"SignatoryApiFi"}